> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wondercraft.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get audio content result and status

> Gets the status of podcast generation job, including a link to download it if the job was
    successful. Requires a valid `X-API-TOKEN` header.


    The link returned expires after 24 hours.
    Feel free to call this endpoint again to get a fresh link, no need to regenerate the podcast
    and waste credits.

    Throws
    - 404 if job_id is invalid



## OpenAPI

````yaml GET /podcast/{job_id}
openapi: 3.1.0
info:
  title: Wondercraft Public API
  version: 0.0.1
servers:
  - url: https://api.wondercraft.ai/v1
    description: Base Wondercraft API
security: []
paths:
  /podcast/{job_id}:
    get:
      tags:
        - Podcasts
      summary: Get audio content result and status
      description: >-
        Gets the status of podcast generation job, including a link to download
        it if the job was
            successful. Requires a valid `X-API-TOKEN` header.


            The link returned expires after 24 hours.
            Feel free to call this endpoint again to get a fresh link, no need to regenerate the podcast
            and waste credits.

            Throws
            - 404 if job_id is invalid
      operationId: get_episode_status_podcast__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEpisodeStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    GetEpisodeStatusResponse:
      properties:
        finished:
          type: boolean
          title: Finished
          description: Whether the episode generation is finished
        script:
          anyOf:
            - type: string
            - type: 'null'
          title: Script
          description: The script used for generating the episode
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
          description: A URL for downloading the episode
        error:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Error
          description: Whether an error occurred while generating the episode
        error_details:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Details
          description: The error message if the episode generation failed
      additionalProperties: false
      type: object
      required:
        - finished
      title: GetEpisodeStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````